<%@ Page Language="VB" MasterPageFile="~/masterpage2.master" Title="GridView" Trace="true" %>

<script runat="server">

    Protected Sub GridView1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        
    End Sub

    Protected Sub GridView1_RowCreated(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
             'Dim lbl As Label = CType(e.Row.Cells(2).Controls(1), Label)
            Dim lbl As Label = CType(e.Row.FindControl("lblPreis"), Label)
            If DataBinder.Eval(e.Row.DataItem, "unitprice") > 15D Then
                lbl.ForeColor = Drawing.Color.White
            End If
        End If
        
    End Sub
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:GridView ID="GridView1" runat="server" DataSourceID="SqlDataSource1" BorderWidth="2px"
        BackColor="White" GridLines="None" CellPadding="3" CellSpacing="1" BorderStyle="Ridge"
        BorderColor="White" AllowSorting="True" EnableViewState="true" AllowPaging="True"
        PageSize="5" AutoGenerateColumns="False" OnSelectedIndexChanged="GridView1_SelectedIndexChanged"
        OnRowCreated="GridView1_RowCreated" EnableSortingAndPagingCallbacks=false>
        <PagerStyle ForeColor="Black" HorizontalAlign="Right" BackColor="White"></PagerStyle>
        <PagerTemplate>
        </PagerTemplate>
        <RowStyle ForeColor="Black" BackColor="#DEDFDE"></RowStyle>
        <Columns>
            <asp:CommandField ShowEditButton="True" />
            <asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
            <asp:TemplateField HeaderText="UnitPrice"  SortExpression="UnitPrice">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblPreis" runat="server" Text='<%# Bind("UnitPrice") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
            <asp:BoundField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
            <asp:CommandField ShowSelectButton="True"  />
            <asp:HyperLinkField DataNavigateUrlFields="ProductID" DataNavigateUrlFormatString="details.aspx?id={0}"
                DataTextField="ProductID" HeaderText="Link" />
          
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" SelectCommand="SELECT [ProductName], [UnitPrice], [Discontinued], [ProductID] FROM [Products]"
        EnableViewState="False" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [UnitPrice], [Discontinued]) VALUES (@ProductName, @UnitPrice, @Discontinued)"
        UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [UnitPrice] = @UnitPrice, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
        <DeleteParameters>
            <asp:Parameter Name="ProductID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
            <asp:Parameter Name="ProductID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
        </InsertParameters>
    </asp:SqlDataSource>
</asp:Content>
