Imports System.IO
Imports System.Collections.Generic
Public Class FileDAL
    Public Sub New()
    End Sub
    Private _itemcount As Integer = 0
    Public Function GetResults(ByVal SuchBegriff As String) As List(Of DateiObjekt)
        Dim offset As String = HttpContext.Current.Server.MapPath(".") + "\"
        Dim FO As List(Of DateiObjekt) = New List(Of DateiObjekt)
        If Not IsNothing(SuchBegriff) Then
            If IsNothing(HttpContext.Current.Cache(SuchBegriff)) Then
                Dim datei As String
                For Each datei In My.Computer.FileSystem.GetFiles(HttpContext.Current.Server.MapPath("."), FileIO.SearchOption.SearchAllSubDirectories)
                    Using sr As New StreamReader(datei)
                        Dim line As String
                        While (sr.Peek > -1)
                            line = sr.ReadLine()
                            If line.IndexOf(SuchBegriff, StringComparison.OrdinalIgnoreCase) > 0 Then
                                FO.Add(New DateiObjekt(datei.Replace(offset, ""), datei.Replace(offset, "")))
                                _itemcount += 1
                                Exit While
                            End If
                        End While
                    End Using
                Next
                HttpContext.Current.Cache.Insert(SuchBegriff, FO, Nothing, System.Web.Caching.Cache.NoAbsoluteExpiration, New TimeSpan(0, 30, 0))
            Else
                FO = CType(HttpContext.Current.Cache(SuchBegriff), List(Of DateiObjekt))
                _itemcount = FO.Count
            End If
        End If
        Return FO
    End Function
    Public Function GetResults(ByVal maxRows As Integer, ByVal startIndex As Integer, ByVal Suchbegriff As String) As IList(Of DateiObjekt)
        Dim pagedFO As IList(Of DateiObjekt) = New List(Of DateiObjekt)
        If IsNothing(Suchbegriff) = False Then
            Dim FO As IList(Of DateiObjekt) = Me.GetResults(Suchbegriff)
            Dim i As Integer
            For i = startIndex To IIf((startIndex + maxRows < _itemcount), (startIndex + maxRows), _itemcount) Step i + 1
                pagedFO.Add(FO(i))
            Next
        End If
        Return pagedFO
    End Function
    Public Function GetNumberOfFiles(ByVal SuchBegriff As String) As Integer
        Return _itemcount
    End Function
End Class
